diff tests/test-inotify @ 7145:6f4a253f2a64

inotify: fix status not showing "clean" files (issue907) The inotify server uses 'c' for clean, not 'n'.
author Benoit Boissinot <benoit.boissinot@ens-lyon.org>
date Sat, 18 Oct 2008 23:06:29 +0200
parents
children c5dbe86b0fee
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-inotify	Sat Oct 18 23:06:29 2008 +0200
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+"$TESTDIR/hghave" inotify || exit 80
+
+hg init
+
+touch a b c d e
+mkdir dir
+mkdir dir/bar
+touch dir/x dir/y dir/bar/foo
+
+hg ci -Am m
+
+echo "[extensions]" >> $HGRCPATH
+echo "inotify=" >> $HGRCPATH
+
+echo % inserve
+hg inserve -d --pid-file=hg.pid
+cat hg.pid >> "$DAEMON_PIDS"
+
+# let the daemon finish its stuff
+sleep 1
+# issue907
+hg status
+echo % clean
+hg status -c
+echo % all
+hg status -A
+
+kill `cat hg.pid`